/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 *
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: getline.c 1.3 89/10/10 $@(#)graf:src/stat.d/getline.c	1.7"
/* <: t-5 d :> */
#include "stdio.h"
#define ESCAPE(c,x) ( (c=x)!='\\' ? c : (x,c=x))

char *getline(fp,bufs,size) /* put next line from fp into buf */
FILE *fp;
char *bufs;
int size;
{
	char c, *bufe=bufs+size;

#if u370 | u3b | u3b15 | u3b2
	while( ESCAPE(c,getc(fp))!=(char)EOF )
#else
	while( ESCAPE(c,getc(fp))!=EOF )
#endif
		if( c!='\n' ) {
			if( bufs<bufe-1 ) *bufs++ = c;
		} else {
			*bufs = '\0';
			return(bufs);
		}
	return((char *) EOF);
}
